Subject: mii-tool support for gmac/sungem

From: Bastien Nocera <[email-masked]>
Date: 23 Sep 2002 01:19:43 +0100

Hello,

I wanted to know if mii-tool was supposed to work with the gmac/sungem
card in the iBook2 laptops. I tried it out:

$ sudo mii-tool
SIOCGMIIPHY on 'eth0' failed: Operation not supported
SIOCGMIIPHY on 'eth1' failed: Operation not supported
no MII interfaces found

I see code for this ioctl in the kernel though in gem_ioctl
(drivers/net/sungem.c) and some messages that seem relevant in dmesg:

eth0: MII PHY ID: 4061e0 BCM 5221
eth0: switching to forced 100bt
eth0: switching to forced 10bt
etc.

Any ideas ?

Cheers

--
/Bastien Nocera
http://hadess.net

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/